List Clinic Payment Methods
List saved payment methods for the authenticated clinic with a specific lab. Clinic-owner only. Requires labId query parameter to identify the lab's Stripe Connect account.
List saved payment methods for the authenticated clinic with a specific lab. Clinic-owner only. Requires labId query parameter to identify the lab's Stripe Connect account.
Production session cookie set for the guidelab.co domain by Better Auth
In: cookie
Query Parameters
Lab ID to retrieve payment methods for
1 <= lengthResponse Body
application/json
application/json
curl -X GET "https://example.com/clinic-payment-methods?labId=550e8400-e29b-41d4-a716-446655440000"{ "paymentMethods": [ { "id": "string", "type": "string", "brand": "string", "last4": "string", "expMonth": 0, "expYear": 0, "isDefault": true } ]}{ "error": "string"}Get clinic autopay consent GET
Returns the clinic-owned saved-card autopay state for a partnership. Both partnership parties may read it; labs cannot mutate it.
Revoke clinic-owned autopay DELETE
Revokes future off-session charges for this partnership. Only a clinic owner can perform this operation; labs have read-only visibility.